Bug 986285 - UI crashes when no bond name is given
UI crashes when no bond name is given
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
Unspecified Unspecified
high Severity high
: ---
: 3.5.0
Assigned To: Ryan Barry
bugs@ovirt.org
node
:
Depends On:
Blocks: 1090434
  Show dependency treegraph
 
Reported: 2013-07-19 06:39 EDT by Fabian Deutsch
Modified: 2016-02-10 14:39 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1090434 (view as bug list)
Environment:
Last Closed: 2014-10-17 08:27:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 27110 master MERGED disable transaction of bond if unset bond.name and bond.slaves.selected Never

  None (edit)
Description Fabian Deutsch 2013-07-19 06:39:55 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select <cretae bond> in UI
2. modify options filed and select a nic (leave the bond name field empty)
3. Press <Save>

Actual results:
UI crashes

Expected results:
Dialog showing the error (missing bond name)

Additional info:
Screenshot in 984410 in attachment 773573 [details]
Comment 1 Ryan Barry 2014-04-21 12:52:42 EDT
This will need to wait for a validation rework
Comment 2 haiyang,dong 2014-04-27 22:25:00 EDT
disable transaction of bond if bond.name and bond.slaves.selected  were not given 
http://gerrit.ovirt.org/#/c/27110/
Comment 3 Sandro Bonazzola 2014-10-17 08:27:31 EDT
oVirt 3.5 has been released and should include the fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.